/*
The font structure: think it out as a segmented lcd display:
	
	 aa bb
	c  d  e
	c  d  e
	 ff gg
	h  i  j
	h  i  j
	 kk ll
*/   
    
#define QFONT(a,b,c,d,e,f,g,h,i,j,k,l) \
  (a << 0) | (b << 1) | \
  (c << 2) | (d << 3) | (e << 4) | \
  (f << 5) | (g << 6) | \
  (h << 7) | (i << 8) | (j << 9) | \
  (k <<10) | (l <<11)

Uint16 phont[] = 
{
QFONT(	/* space 32 */
 0,0,
0,0,0,
 0,0,
0,0,0,
 0,0 ),

QFONT(	/* ! 33 */
  1,1,
 1,0,1,
  1,1,
 0,0,0,
  1,1 ),

QFONT(	/* " 34 */
 0,0,
1,0,1,
 0,0,
0,0,0,
 0,0 ),
 
QFONT(	/* # 35 .. let's give up :) */
 1,1,
1,1,1,
 1,1,
1,1,1,
 1,1 ),
 
QFONT(	/* $ 36 */
 1,1,
1,1,0,
 1,1,
0,1,1,
 1,1 ),

QFONT(	/* % 37 */
 1,0,
0,0,1,
 1,1,
1,0,0,
 0,1 ),
 
QFONT(	/* ~ 38	not ascii */
 0,1,
1,0,1,
 1,0,
0,0,0,
 0,0 ),
 
QFONT(	/* ' 39 */
 0,0,
0,0,1,
 0,1,
0,0,0, 
 0,0 ),
 
QFONT(	/* ( 40 */
 1,1,
1,0,0,
 0,0,
1,0,0,
 1,1 ),
 
QFONT(	/* ) 41 */
 1,1,
0,0,1,
 0,0,
0,0,1,
 1,1 ),
 
QFONT(	/* * 42 */
 0,0,
1,1,1,
 1,1,
1,1,1,
 0,0 ),
 
QFONT(	/* + 43 */
 0,0,
0,1,0,
 1,1,
0,1,0,
 0,0 ),

QFONT(	/* , 44 */
 0,0,
0,0,0,
 0,0,
0,0,1,
 0,1 ),
 
QFONT(	/* - 45 */
 0,0,
0,0,0,
 1,1,
0,0,0,
 0,0 ),
 
QFONT(	/* . 46 */
 0,0,
0,0,0,
 0,0,
0,0,0,
 1,1 ),

QFONT(	/* / 47 */
 0,0,
0,0,1,
 1,1,
1,0,0,
 0,0 ),
 
QFONT(	/* 0 48 */
 1,1,
1,0,1,
 0,0,
1,0,1,
 1,1 ),
 
QFONT(	/* 1 49 */
 0,0,
0,1,0,
 0,0,
0,1,0,
 0,0 ),
 
QFONT(	/* 2 50 */
 1,1,
0,0,1,
 1,1,
1,0,0,
 1,1 ),
 
QFONT(	/* 3 51 */
 1,1,
0,0,1,
 0,1,
0,0,1,
 1,1 ),
 
QFONT(	/* 4 52 */
 0,0,
1,0,1,
 1,1,
0,0,1,
 0,0 ),

QFONT(	/* 5 53 */
 1,1,
1,0,0,
 1,1,
0,0,1,
 1,1 ),
 
QFONT(	/* 6 54 */
 1,1,
1,0,0,
 1,1,
1,0,1,
 1,1 ),
 
QFONT(	/* 7 55 */
 1,1,
1,0,1,
 0,0, 
0,0,1,
 0,0 ),
 
QFONT(	/* 8 56 */
 1,1,
1,0,1,
 1,1,
1,0,1,
 1,1 ),
 
QFONT(	/* 9 57 */
 1,1,
1,0,1,
 1,1,
0,0,1,
 1,1 ),
 
QFONT(	/* : 58 */
 1,1,
0,0,0,
 0,0,
0,0,0,
 1,1 ),
 
QFONT(	/* ; 59 */
 1,1,
0,0,0,
 0,0,
0,0,1,
 0,1 ),
 
QFONT(	/* < 60 */
 0,1,
0,1,0,
 1,0,
0,1,0,
 0,1 ),
 
QFONT(	/* = 61 */
 1,1,
0,0,0,
 0,0,
0,0,0,
 1,1 ),
 
QFONT(	/* > 62 */
 1,0,
0,1,0,
 0,1,
0,1,0,
 1,0 ),
 
QFONT(	/* ? 63 */
 1,1,
0,0,1,
 1,1,
0,0,0,
 1,1 ),
  
QFONT(	/* @ 64 */
 1,1,
1,1,1,
 0,1,
1,1,1,
 1,0 ),
 
QFONT(	/* A 65 */
 1,1,
1,0,1,
 1,1,
1,0,1,
 0,0 ),
 
QFONT(	/* B 66 */
 1,0,
1,1,0,
 1,1,
1,0,1,
 1,1 ),
 
QFONT(	/* C 67 */
 1,1,
1,0,1,
 0,0,
1,0,0,
 1,1 ),
 
QFONT(	/* D 68 */
 0,0,
0,0,1,
 1,1,
1,0,1,
 1,1 ),
 
QFONT(	/* E 69 */
 1,1,
1,0,0,
 1,0,
1,0,0,
 1,1 ),
 
QFONT(	/* F 70 */
 1,1,
1,0,0,
 1,0,
1,0,0,
 0,0 ),
 
QFONT(	/* G 71 */
 1,1,
1,0,0, 
 0,1,
1,0,1,
 1,1 ),
 
QFONT(	/* H 72 */
 0,0,
1,0,1,
 1,1,
1,0,1,
 0,0 ),
 
QFONT(	/* I 73 */
 1,1,
0,1,0,
 0,0,
0,1,0,
 1,1 ),
 
QFONT(	/* J 74 */
 0,0,
0,0,1,
 0,0,
1,0,1,
 1,1 ),
 
QFONT(	/* K 75 */
 0,1,
1,1,0,
 1,1,
1,0,1,
 0,0 ),

QFONT(	/* L 76 */
 1,0,
1,0,0,
 0,0,
1,0,0,
 1,1 ),

QFONT(	/* M 77 */
 1,1,
1,1,1,
 0,0,
1,0,1,
 0,0 ),

QFONT(	/* N 78 */
 1,1,
1,0,1,
 0,0,
1,0,1,
 0,0 ),
 
QFONT(	/* O 79 */
 1,1,
1,0,1,
 0,0,
1,0,1,
 1,1 ),
 
QFONT(	/* P 80 */
 1,1,
1,0,1,
 1,1,
1,0,0,
 0,0 ),
 
QFONT(	/* Q 81 */
 1,1,
1,0,1,
 0,0,
1,1,1,
 1,1 ),
 
QFONT(	/* R 82 */
 1,1,
1,0,1,
 1,1,
1,1,0,
 0,1 ),
 
QFONT(	/* S 83 */
 1,1,
1,0,0,
 1,1,
0,0,1,
 1,1 ),
 
QFONT(	/* T 84 */
 1,1,
1,1,1,
 0,0,
0,1,0,
 0,0 ), 

QFONT(	/* U 85 */
 0,0,
1,0,1,
 0,0,
1,0,1,
 1,1 ),
 
QFONT(	/* V 86 */
 0,0,
1,0,1,
 1,0,
0,1,1,
 0,1 ),
 
QFONT(	/* W 87 */
 0,0,
1,0,1,
 0,0,
1,1,1,
 1,1 ),

QFONT(	/* X 88 */
 0,0,
0,1,1,
 1,1,
1,1,0,
 0,0 ),

QFONT(	/* Y 89 */
 0,0,
1,0,1,
 1,1,
0,1,0,
 0,0 ),
 
QFONT(	/* Z 90 */
 1,1,
0,0,1,
 1,1,
1,0,0,
 1,1 ),
  
}; 

#undef QFONT
